> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 3DS Authorise

> PIN and CVV are not Required to complete Transaction. Authorization is completed on 3DS.



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml post /payments/authorise3ds
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /payments/authorise3ds:
    post:
      tags:
        - AUTHORISE
      summary: 3DS Authorise
      description: >-
        PIN and CVV are not Required to complete Transaction. Authorization is
        completed on 3DS.
      operationId: 3DSAuthorise
      requestBody:
        content:
          application/json:
            schema:
              type: object
            examples:
              3DSAuthoriseRequest:
                $ref: '#/components/examples/3DSAuthoriseRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
              examples:
                3DSAuthoriseResponse:
                  $ref: '#/components/examples/3DSAuthoriseResponse'
                3DSAuthoriseResponse1:
                  $ref: '#/components/examples/3DSAuthoriseResponse1'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
              examples:
                401Response:
                  $ref: '#/components/examples/401Response'
        '403':
          description: Missing Header Token
          content:
            application/json:
              schema:
                type: object
              examples:
                CreateOrder403Response:
                  $ref: '#/components/examples/Order403Response'
                403Response:
                  $ref: '#/components/examples/403Response'
                403Response2:
                  $ref: '#/components/examples/403Response2'
                403Response3:
                  $ref: '#/components/examples/403Response3'
                403Response4:
                  $ref: '#/components/examples/403Response4'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response1:
                  $ref: '#/components/examples/404Response1'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
      security:
        - Bearer: []
components:
  examples:
    3DSAuthoriseRequest:
      summary: 3DSAuthorise Request payload
      value:
        paymentReference: 30451B789S987643108hgfdsfP6W
        publicKey: SBPUBK_OMX6ZNRZPLIHQ9Y0ZG6FCNR0EAYIGIAT
        cardNumber: '5242820813772165'
        cvv: '865'
        expiryMonth: '02'
        expiryYear: '22'
        currency: NGN
        country: NG
        productDescription: preauth test capture
        amount: '1.00'
        email: johndoe@gmail.com
        fullName: john doe
        callbackUrl: https://google.com
    3DSAuthoriseResponse:
      summary: An example of 3DSAuthoriseResponse payload
      value:
        status: SUCCESS
        data:
          code: '00'
          payments:
            paymentReference: 30451A789S987643128hgfdsfP6W
            redirectLink: >-
              https://seerbitapigateway.com/seerbit/card-dispatch?sredref=F535459411601493328771
            linkingReference: F535459411601493328771
            status: AUTHORISATION PENDING
          message: Transaction is pending
    3DSAuthoriseResponse1:
      summary: An example of 3DSAuthoriseResponse payload
      value:
        status: SUCCESS
        data:
          code: S100
          message: Transaction Not Completed
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    401Response:
      summary: An example of 401 response payload
      value:
        message: Invalid Authentication Token
        error: INPUT
    Order403Response:
      summary: An example of 403 response payload
      value:
        message: Header Token Missing
        error: PERMISSION
    403Response:
      summary: An example of 403 response payload
      value:
        message: Confirm Merchant Environment
        error: PERMISSION
    403Response2:
      summary: An example of 403 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Bad credentials = invalid public key
    403Response3:
      summary: An example of 403 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Bad credentials
    403Response4:
      summary: An example of 403 response payload
      value:
        data:
          code: S12
          message: Invalid/Missing parameters = paymentReference
    404Response1:
      summary: An example of 404 response payload
      value:
        message: Not Found
        error: The server can not find the requested resource
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.